#!/usr/bin/perl

################# Globals /libs
use File::Basename; 
use lib dirname ($0);
use AffiliateLib;

################# read form
&read_form;

if($formdata{'aff'}) {
	$aff = $formdata{'aff'};
	$url = $formdata{'url'};
	$url =~ tr/+/ /;
	$url =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	$urlbox = $url;
	$url = &url_encode($url);
} else {

	################# read passed vars
	use CGI qw(param);
	$aff = param("aff");
}

$aff =~ tr/+/ /;
$aff =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

my $target = "";
my $checked = "";

if ($formdata{'targetblank'}==1) {
	$target = "target=&quot;_blank&quot; ";
	$checked = "checked";
}
################# read affiliate details
%affiliate = get_affiliate($aff);
$aff_web = $affiliate{'aff_web'};

################# read merchant details
%merchant = get_merchant;
$mer_url = "http://$merchant{'mer_web'}";
$merwebenc = url_encode($merchant{'mer_web'});

################# display page
&page_top("Affiliate Banner Selection");

&aff_nav($aff);

print <<"(END MESSAGE)";
<h3>Affiliate Banner Selection</h3>
<table><tr><td>
To implement a banner on your site, copy (Ctrl-C) the code below the chosen banner then paste (Ctrl-V) it into your web page.
</td><td>
<a href="#" onClick="alert(\'The code contains everything required to link and track visitors sent from your website. \\nDo not alter the code as it may prevent the system from tracking your links properly.\'); return false"><img src="images/q.gif" width=17 height=16 border=0 alt="Click for Help"></a>
</td></tr></table>
<br>
<form action=banners.${pft} method=post>
To link directly to a page <strong>other than the home page</strong>, copy (Ctrl-C) the URL from the browser address box then paste (Ctrl-V) it below and press 'Generate Code'
<br>
<input type=hidden name=aff value="$aff">
<input type=text value="$urlbox" name=url size=50 maxlength=255>
<a href="#" onClick="alert(\'The URL is validated to look like $mer_url/...\'); return false"><img src="images/q.gif" width=17 height=16 border=0 alt="Click for Help"></a>

<br><br>
Open links in a new window ? <input type=checkbox name="targetblank" value="1" $checked>
<br><br>
<input type=submit name=generate value="Generate Code"></input>
</form>
(END MESSAGE)

################# read banner directory

opendir(DIRECTORY, "${ccpath}banners") or print "Can't open directory banners";

$files = join (',', readdir(DIRECTORY));
@filelist = reverse sort split(/,/, $files);

closedir DIRECTORY;

################# display banners

foreach $banner (@filelist) {

	if($banner =~ /gif/) {
		$banner =~ /\./;
		$bid = $`;
		$banner =~ /_/;
		$size = $';
		$size =~ /\./;
		$size = $`;
		
		print "<br><img src=\"banners/$banner\" border=0>";
		
		if($size =~ /[0-9]+x[0-9]+/) {
			print " Size=$size";
		}
		print "<br><font face=Courier size=-1><TEXTAREA NAME=\"banner$bid\" COLS=70 ROWS=6 WRAP=virtual onMouseOver=\"this.focus()\" onFocus=\"this.select()\">";
		print "<!-- Start of clickclocker code -->\n";
	#	print "&lt;script type=&quot;text/javascript&quot; language=&quot;javascript&quot; src=&quot;$mer_url/${ccwebpath}/${showprog}?a=$aff_web&amp;b=$bid";
		print "&lt;a ${target}href=&quot;$mer_url/${ccwebpath}/click.${pft}?a=$aff_web&amp;b=$bid";

		if (defined($url) and 
			$url =~ /http(.)+?$merwebenc(.)+/i and 
			$url !~ /(click\.${pft}|buy\.${pft}|%3c|%3e|%7c)/i) {
			print "&amp;url=$url";
		}

		print "&quot;&gt;";
		print "&lt;img border=0 src=&quot$mer_url/${ccwebpath}/getlink.${pft}?a=$aff_web&amp;b=$bid&quot;&gt;";
		print "&lt;/a&gt;\n";
		print "<!-- End of clickclocker code -->\n";
		print "</TEXTAREA></font><br><br>";
	}
}
print "<br><br>Text Link : <br>";
print "<font face=Courier size=-1><TEXTAREA NAME=\"banner$bid\" COLS=70 ROWS=7 WRAP=virtual onMouseOver=\"this.focus()\" onFocus=\"this.select()\">";
print "<!-- Start of clickclocker code -->\n";
# print "&lt;script type=&quot;text/javascript&quot; language=&quot;javascript&quot; src=&quot;$mer_url/${ccwebpath}/${showprog}?a=$aff_web&amp;b=text";
print "&lt;a ${target}href=&quot;$mer_url/${ccwebpath}/click.${pft}?a=$aff_web&amp;b=text";

if (defined($url) and 
	$url =~ /http(.)+?$merwebenc(.)+/i and 
	$url !~ /(click\.${pft}|buy\.${pft}|%3c|%3e|%7c)/i) {
	print "&amp;url=$url";
} 
		
print "&quot;&gt;";
print "LINK TEXT HERE";
print "&lt;/a&gt;\n";
print "&lt;img border=0 src=&quot$mer_url/${ccwebpath}/getlink.${pft}?a=$aff_web&amp;b=text&quot;&gt;";
print "<!-- End of clickclocker code -->\n";
print "</TEXTAREA></font><br><br><br>";

&page_btm;
