#!/usr/bin/perl

################# Globals
use File::Basename; 
use lib dirname ($0);
use AffiliateLib;

%merchant = get_merchant;
$merchant_url = "http://$merchant{'mer_web'}";

################# read params
my %clickclocker;
use CGI qw(param);
$clickclocker{'aff_web'} = param("a");
$clickclocker{'banner'} = param("b");
$clickclocker{'url'} = param("url");
if($clickclocker{'url'} eq "") {	
	$clickclocker{'url'} = $merchant_url;
}
if(open COOK_HANDLE, "<${ccpath}cookies/$clickclocker{'aff_web'}") {
	$expiry = <COOK_HANDLE>;
	close COOK_HANDLE;
}

$expiry =~ s/\+//;
$expiry =~ s/d//;

################# set date
open(TODAYSDATE, "${ccpath}today |");
$clickclocker{'today'} = <TODAYSDATE>;
close TODAYSDATE;

################# get hour
($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);

################# write click to file
open FILEHANDLE, ">>${ccpath}reports/clicks.csv" or error_msg( "Cannot open file reports/clicks.csv");
print FILEHANDLE "$clickclocker{'today'},";
print FILEHANDLE "$clickclocker{'aff_web'},";
print FILEHANDLE "$clickclocker{'banner'},";
print FILEHANDLE "$hour,";
print FILEHANDLE "$ENV{'REMOTE_ADDR'}\n";
close FILEHANDLE;

$cookie_string = "@{[%clickclocker]}";
$tracking_cookie = "clickclocker=" . &url_encode($cookie_string);
$tracking_cookie =~ s/\%20/\&/g;

$url = $clickclocker{'url'};

print <<"(END COOKFWD)";
Content-type: text/html

<html>
<head>
<SCRIPT LANGUAGE="JavaScript">
<!-- Begin
function SetCookie () {
	var expires = new Date ();
	expires.setTime (expires.getTime() + (24 * 60 * 60 * 1000 * $expiry));

	document.cookie = "$tracking_cookie" + 
		"; expires=" + expires.toGMTString() +
		"; path=/";
	location.href="$url"; 
}
// End -->
</SCRIPT>
</head>
<body onLoad="SetCookie()">
</body>
</html>
(END COOKFWD)










