#!/usr/bin/perl
################# Globals
my %months = (
	'Jan', '01', 'Feb', '02', 'Mar', '03', 'Apr', '04', 'May', '05', 'Jun', '06', 
	'Jul', '07', 'Aug', '08', 'Sep', '09', 'Oct', '10', 'Nov', '11', 'Dec', '12' );

use File::Basename; 
use lib dirname ($0);
use AffiliateLib;

################# read params
my %clickclocker;
use CGI qw(param);
$clickclocker{'aff_web'} = param("a");
$clickclocker{'banner'} = param("b");
$clickclocker{'url'} = param("u");

if($clickclocker{'url'} eq "") {
	%merchant = get_merchant;
	$merchant_url = "http://$merchant{'mer_web'}";	
	$clickclocker{'url'} = $merchant_url;
}

################# set date
open(TODAYSDATE, "${ccpath}today |");
$clickclocker{'today'} = <TODAYSDATE>;
close TODAYSDATE;

################# get hour
($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);

################# construct clickclocker filename
$cclogfile = "cc" . 
	substr($clickclocker{'today'}, 9, 2) . 
	$months{substr($clickclocker{'today'}, 3, 3)} .
	substr($clickclocker{'today'}, 0, 2) . ".csv";
			
################# write a record to impression log 
open FILEHANDLE, ">>${ccpath}log/${cclogfile}" or error_msg("Cannot open file ${ccpath}log/${cclogfile}");
print FILEHANDLE "$clickclocker{'banner'},";
print FILEHANDLE "$clickclocker{'aff_web'}\n";
close FILEHANDLE;


my $gif_image = ($clickclocker{'banner'} eq "text") ? 
		"${ccpath}images/invisible.gif" : "${ccpath}banners/$clickclocker{'banner'}.gif"; 

if (open (IMAGE, "<" . $gif_image)) { 
	
	binmode(IMAGE); # Specify Binary mode for file
	binmode(STDOUT);
	 
	$no_bytes = (stat ($gif_image))[7]; 
	print "Content-type: image/gif", "\n"; 
	print "Content-length: $no_bytes", "\n"; 
	print "Pragma: no-cache\n\n"; 
	while (<IMAGE>) { print; }
	close (IMAGE); 
} 
exit (0); 
