#!/usr/bin/perl
use File::Basename; 
use lib dirname ($0);
use AffiliateLib;

################# read form
&read_form;

if($formdata{'auth'}) {

    $auth = $formdata{'auth'};
    
} else {
	################# read passed vars
	use CGI qw(param);
	$auth = param("auth");

	$message = "<h3>Change Merchant Details</h3>";
}

################# read merchant record
%merchant = get_merchant($auth, 1); # 1=authenticate

if($formdata{'auth'}) {

	################# write changes to merchant file

	if($formdata{'mer_vat_no'} eq "") {
		$formdata{'mer_vat_no'}="~";
	}
	if($formdata{'mer_addr2'} eq "") {
		$formdata{'mer_addr2'}="~";
	}
	$formdata{'mer_date'} = scalar localtime(time());
	$formdata{'mer_date'} =~ tr/ /+/;
	$, = " ";

	if($formdata{'old_email'} ne $formdata{'mer_email'}) {
		$new = "${ccpath}merchant/$formdata{'mer_email'}";
		$old = "${ccpath}merchant/$formdata{'old_email'}";
		rename $old, $new;
		$auth = crypt $formdata{'mer_email'}, "CLICK";
		$formdata{'auth'} = $auth;
	}
	
	open MERHANDLE, ">${ccpath}merchant/$formdata{'mer_email'}" 
		or &error_msg( "Cannot open file ${ccpath}merchant/$formdata{'mer_email'}");
	print MERHANDLE %formdata;
	close MERHANDLE;
	
	$url="http://$formdata{'mer_web'}";
	$formdata{'url'} = $url;
	$url =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

	open CONFIG, ">${ccpath}Config" or &error_msg("Cannot open the Config file");
	print CONFIG 	"log/clocker.log\n" .
					"log/impressions.csv\n" .
					"$url\n" .
					"clocker.key\n" .
					"reports/clickclocker.csv\n\n";
	close CONFIG;

	$message = "<h3>Your Changes have been applied</h3>";
}
# get updated merchant details
%merchant = get_merchant($auth, 0); # 0= no authenticate

################# write form
&page_top("Merchant - Change Details");

&mer_nav($merchant{'mer_email'});

print <<"(END MESSAGE)";
<SCRIPT LANGUAGE="JavaScript">
function validateCust(form) 
{
	if(form.mer_name.value=="" )
	{
		alert("Please enter your name");
		form.mer_name.focus();
		return false;
	}
	if(form.mer_email.value=="" )
	{
		alert("Please enter your email address");
		form.mer_email.focus();
		return false;
	}
	else if(form.mer_email.value.indexOf("@")=="-1" ||
			form.mer_email.value.indexOf(".")=="-1" )
	{
		alert("Please enter a valid email address");
		form.mer_email.select();
		form.mer_email.focus();
		return false;
	}
	if(form.mer_pwd.value=="")
	{
		alert("Please enter a password");
		form.mer_pwd.select();
		form.mer_pwd.focus();
		return false;
	}
	if(form.cpwd.value!=form.mer_pwd.value)
	{
		alert("Please ensure you type in the same password twice");
		form.mer_pwd.select();
		form.mer_pwd.focus();
		return false;
	}
	if(form.mer_org.value=="" )
	{
		alert("Please enter a Company Name");
		form.mer_org.focus();
		return false;
	}
	if(form.mer_web.value=="" )
	{
		alert("Please enter a website");
		form.mer_web.focus();
		return false;
	}

	if(form.mer_addr1.value=="" )
	{
		alert("Please complete your address");
		form.mer_addr1.focus();
		return false;
	}
	if(form.mer_addr3.value=="" )
	{
		alert("Please complete your address");
		form.mer_addr3.focus();
		return false;
	}
	if(form.mer_region.value=="" )
	{
		alert("Please enter your County / State");
		form.mer_region.focus();
		return false;
	}
	if(form.mer_country.value=="" )
	{
		alert("Please enter your country");
		form.mer_country.focus();
		return false;
	}
	if(form.mer_zip.value=="" )
	{
		alert("Please enter a Post Code / Zip Code");
		form.mer_zip.focus();
		return false;
	}
	if(form.mer_phone.value=="" )
	{
		alert("Please enter your telephone number");
		form.mer_phone.focus();
		return false;
	}
	return true;
}
</script>
$message
<form action="mer_change.${pft}" method="post" onSubmit="return validateCust(this)">
<input type=hidden name=auth value="$auth"></input>
<input type=hidden name=old_email value="$merchant{'mer_email'}"></input>
<table width="600" border="0" cellspacing="0" cellpadding="0">
<tr>
	<td>&nbsp;</td>
	<td valign="top" colspan="2">
		<b>Contact Details</b>
		<br><br>
	</td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Name</td>
	<td valign="top"><input type="text" name="mer_name" value="$merchant{'mer_name'}" size="40" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Email</td>
	<td valign="top"><input type="text" name="mer_email" value="$merchant{'mer_email'}" size="40" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Password</td>
	<td valign="top"><input type="password" name="mer_pwd" value="$merchant{'mer_pwd'}" size="10" maxlength="15"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Confirm Password</td>
	<td valign="top"><input type="password" name="cpwd" size="10" maxlength="15"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top" colspan="2"><br>
		<b>Company Details</b><br><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Company Name</td>
	<td valign="top"><input type="text" name="mer_org" value="$merchant{'mer_org'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">VAT Reg. No.</td>
	<td valign="top"><input type="text" name="mer_vat_no" value="$merchant{'mer_vat_no'}" size="20" maxlength="30"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Web Site URL</td>
	<td valign="top"><b>http://</b><input type="text" name="mer_web" value="$merchant{'mer_web'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Address</td>
	<td valign="top"><input type="text" name="mer_addr1" value="$merchant{'mer_addr1'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">&nbsp;</td>
	<td valign="top"><input type="text" name="mer_addr2" value="$merchant{'mer_addr2'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Town/City</td>
	<td valign="top"><input type="text" name="mer_addr3" value="$merchant{'mer_addr3'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">County/Region</td>
	<td valign="top"><input type="text" name="mer_region" value="$merchant{'mer_region'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Country</td>
	<td valign="top"><input type="text" name="mer_country" value="$merchant{'mer_country'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Postcode/ZIP</td>
	<td valign="top"><input type="text" name="mer_zip" value="$merchant{'mer_zip'}" size="10" maxlength="15"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Telephone</td>
	<td valign="top"><input type="text" name="mer_phone" value="$merchant{'mer_phone'}" size="20" maxlength="20"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr><td colspan="4">&nbsp;</td></tr>
<tr>
	<td colspan="2">&nbsp;</td>
	<td valign="top"><input type="submit" name="step2" value="Update Details"><br></td>
	<td>&nbsp;</td>
</tr>
</table>
</form>
<br>
(END MESSAGE)

&page_btm;
