#!/usr/bin/perl
use File::Basename; 
use lib dirname ($0);
use AffiliateLib;

my %months;
$months{'Jan'}=1;
$months{'Feb'}=2;
$months{'Mar'}=3;
$months{'Apr'}=4;
$months{'May'}=5;
$months{'Jun'}=6;
$months{'Jul'}=7;
$months{'Aug'}=8;
$months{'Sep'}=9;
$months{'Oct'}=10;
$months{'Nov'}=11;
$months{'Dec'}=12;

my %amonths;
$amonths{'Jan'}="01";
$amonths{'Feb'}="02";
$amonths{'Mar'}="03";
$amonths{'Apr'}="04";
$amonths{'May'}="05";
$amonths{'Jun'}="06";
$amonths{'Jul'}="07";
$amonths{'Aug'}="08";
$amonths{'Sep'}="09";
$amonths{'Oct'}="10";
$amonths{'Nov'}="11";
$amonths{'Dec'}="12";

################# read form
&read_form;

if($formdata{'auth'}) {
    $auth = $formdata{'auth'};
} else {
	################# read passed vars
	use CGI qw(param);
	$auth = param("auth");
}

################# read merchant record
%merchant = get_merchant($auth, 1); # 1=authenticate

################# make sure stats are up to date
@progs=("${ccpath}${ccprog} ${ccexecpath}");
system(@progs);

################# process updates
if($formdata{'sales_admin'}) {

  foreach $key (keys %formdata) {

	# process approved checkboxes

	if($key =~ /scb_/ && $formdata{$key}==1) {

		$order = $';
		$line = $formdata{$order};
		$line =~ tr/+/ /;
		$line =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
		@values = split(/,/, $line);

		$scom_field = "scom_" . $order;
		$values[6] = $formdata{$scom_field};

		$line = join(",", @values);

		open PENDING, ">>${ccpath}reports/sales_pending.csv";
		print PENDING "$line\n";
		close PENDING;
	}
	if($key =~ /scb_/ && $formdata{$key}==2) {
		$order = $';
		$line = $formdata{$order};
		$line =~ tr/+/ /;
		$line =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
		@values = split(/,/, $line);

		$scom_field = "scom_" . $order;
		$values[6] = $formdata{$scom_field};

		$line = join(",", @values);

		open REJECTED, ">>${ccpath}reports/sales_rejected.csv";
		print REJECTED "$line\n";
		close REJECTED;

	}	
	if($key =~ /rcb_/ && $formdata{$key}==1) {

		$order = $';
		$line = $formdata{$order};
		$line =~ tr/+/ /;
		$line =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
		@values = split(/,/, $line);

		$sval_field = "sval_" . $order;
		$values[4] = $formdata{$sval_field};

		$scom_field = "scom_" . $order;
		$values[6] = $formdata{$scom_field};

		$line = join(",", @values);

		open APPROVED, ">>${ccpath}reports/sales_approved.csv";
		print APPROVED "$line\n";
		close APPROVED;
	}
	if($key =~ /rcb_/ && $formdata{$key}==2) {

		$order = $';
		$line = $formdata{$order};
		$line =~ tr/+/ /;
		$line =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
		@values = split(/,/, $line);

		$scom_field = "scom_" . $order;
		$values[6] = $formdata{$scom_field};

		$line = join(",", @values);

		open REJECTED, ">>${ccpath}reports/sales_rejected.csv";
		print REJECTED "$line\n";
		close REJECTED;
	}
	if($key =~ /pcb_/ && $formdata{$key}==1) {

		$order = $';
		$line = $formdata{$order};
		$line =~ tr/+/ /;
		$line =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

		open PAID, ">>${ccpath}reports/sales_paid.csv";
		print PAID "$line\n";
		close PAID;
	}
  }
}


if(! $formdata{'report_type'}) {
	$formdata{'report_type'}=0;
}

open(TODAY, "${ccpath}today |");
$today = <TODAY>;
close TODAY;

if($formdata{'startday'} ne "") {

	($y_endday,$y_endmonth,$y_endyear) = split(/\//, $today);

	$startday = $formdata{'startday'};
	$startmonth = $formdata{'startmonth'};
	$startyear = $formdata{'startyear'};

	$endday = $formdata{'endday'};
	$endmonth = $formdata{'endmonth'};
	$endyear = $formdata{'endyear'};

	########### test end date !gt today
	$argmonth = $months{$endmonth}-1;
	$argymonth = $months{$y_endmonth}-1;
	$args = "$endday $argmonth $endyear $y_endday $argymonth $y_endyear";
	open(COMM1, "${ccpath}diffdate $args |");
	$result = <COMM1>;
	close COMM1;

	if($result eq "1") {
		($endday,$endmonth,$endyear) = split(/\//, $today);
	}

	########### test start date !gt end date
	$argsmonth = $months{$startmonth}-1;
	$argemonth = $months{$endmonth}-1;
	$args = "$startday $argsmonth $startyear $endday $argemonth $endyear";
	open(COMM2, "${ccpath}diffdate $args |");
	$result = <COMM2>;
	close COMM2;

	if($result eq "1") {
		$startday = "01";
		$startmonth = $endmonth;
		$startyear = $endyear;
	}

	$from_date = "$startday/$startmonth/$startyear";
	$to_date = "$endday/$endmonth/$endyear";

} else {

	($endday,$endmonth,$endyear) = split(/\//, $today);
	$startday = "01";
	$startmonth = "Jan"; # $endmonth;
	$startyear = "2001"; # $endyear;

	$from_date = "$startday/$startmonth/$startyear";
	$to_date = "$endday/$endmonth/$endyear";
}

################# write form
&page_top("Sales Admin");

&mer_nav($merchant{'mer_email'});

print <<"(END HTML1)";
<h3>Selection Controls</h3>
<form name=report action="mer_sales.${pft}" method="post" onSubmit="return validateYr(this)">
<input type=hidden name=auth value="$auth"></input>
<table border="0" cellspacing="0" cellpadding="0">
<tr><td valign="top">Admin Function&nbsp;&nbsp;</td>
	<td colspan="3"><select name="report_type">
	<option value="0" selected>New Sales</option>
	<option value="1">Pending Sales</option>
	<option value="2">Approved Sales</option>
	<option value="3">Rejected Sales</option>
	<option value="4">Payment History</option>
</select><BR><BR></td>
</tr>
(END HTML1)

if($formdata{'aff_web'}) {
	$aff_web = $formdata{'aff_web'};
} else {
	$selected = " selected";
	$aff_web = "all";
}
print "<tr><td valign=top>Affiliate&nbsp;&nbsp;</td><td colspan=3><select name=\"aff_web\">";
print "<option value=\"all\" $selected>All Affiliates</option>";

################## get affiliates
opendir(DIRECTORY, "${ccpath}accepted") or error_msg( "Can't open directory accepted");
$files = join (',', readdir(DIRECTORY));
@filelist = split(/,/, $files);
closedir DIRECTORY;

foreach $affiliate (@filelist) 
{
	if($affiliate =~ /@/ && open FILEHANDLE, "<${ccpath}accepted/$affiliate")
	{
		%aff = split(" ", <FILEHANDLE>);
		close FILEHANDLE;

		foreach $key (keys %aff) {
	    	$aff{$key} =~ tr/~/ /;
			$aff{$key} =~ tr/+/ /;
			$aff{$key} =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
		}

		$html{$aff{'aff_web'}} = "<option value=\"$aff{'aff_web'}\"";

		if($aff_web eq $aff{'aff_web'}) {
			$html{$aff{'aff_web'}} .= " selected";
		}

		$html{$aff{'aff_web'}} .= ">$aff{'aff_web'}</option>";
	}
}

foreach $key (sort keys %html) {
	print "$html{$key}\n";
}

print <<"(END HTML2)";
</select><BR><BR></td></tr>
<tr><td>&nbsp;</td><td>Day</td><td>Month</td><td>Year</td></tr>
<tr><td valign="top">Start Date</td><td>
	<select name="startday">
		<option value="01">01</option>
		<option value="02">02</option>
		<option value="03">03</option>
		<option value="04">04</option>
		<option value="05">05</option>
		<option value="06">06</option>
		<option value="07">07</option>
		<option value="08">08</option>
		<option value="09">09</option>
		<option value="10">10</option>
		<option value="11">11</option>
		<option value="12">12</option>
		<option value="13">13</option>
		<option value="14">14</option>
		<option value="15">15</option>
		<option value="16">16</option>
		<option value="17">17</option>
		<option value="18">18</option>
		<option value="19">19</option>
		<option value="20">20</option>
		<option value="21">21</option>
		<option value="22">22</option>
		<option value="23">23</option>
		<option value="24">24</option>
		<option value="25">25</option>
		<option value="26">26</option>
		<option value="27">27</option>
		<option value="28">28</option>
		<option value="29">29</option>
		<option value="30">30</option>
		<option value="31">31</option>
	</select>
	</td><td>
	<select name="startmonth">
		<option value="Jan">Jan</option>
		<option value="Feb">Feb</option>
		<option value="Mar">Mar</option>
		<option value="Apr">Apr</option>
		<option value="May">May</option>
		<option value="Jun">Jun</option>
		<option value="Jul">Jul</option>
		<option value="Aug">Aug</option>
		<option value="Sep">Sep</option>
		<option value="Oct">Oct</option>
		<option value="Nov">Nov</option>
		<option value="Dec">Dec</option>

	</select>
	</td><td>
	<input size=4 name="startyear" value=$startyear maxlength=4>
	</td>
	<tr><td valign=top>End Date</td><td>
	<select name="endday">
		<option value="01">01</option>
		<option value="02">02</option>
		<option value="03">03</option>
		<option value="04">04</option>
		<option value="05">05</option>
		<option value="06">06</option>
		<option value="07">07</option>
		<option value="08">08</option>
		<option value="09">09</option>
		<option value="10">10</option>
		<option value="11">11</option>
		<option value="12">12</option>
		<option value="13">13</option>
		<option value="14">14</option>
		<option value="15">15</option>
		<option value="16">16</option>
		<option value="17">17</option>
		<option value="18">18</option>
		<option value="19">19</option>
		<option value="20">20</option>
		<option value="21">21</option>
		<option value="22">22</option>
		<option value="23">23</option>
		<option value="24">24</option>
		<option value="25">25</option>
		<option value="26">26</option>
		<option value="27">27</option>
		<option value="28">28</option>
		<option value="29">29</option>
		<option value="30">30</option>
		<option value="31">31</option>
	</select>
</td><td>
	<select name="endmonth">
		<option value="Jan">Jan</option>
		<option value="Feb">Feb</option>
		<option value="Mar">Mar</option>
		<option value="Apr">Apr</option>
		<option value="May">May</option>
		<option value="Jun">Jun</option>
		<option value="Jul">Jul</option>
		<option value="Aug">Aug</option>
		<option value="Sep">Sep</option>
		<option value="Oct">Oct</option>
		<option value="Nov">Nov</option>
		<option value="Dec">Dec</option>
	</select>
	</td><td><input size=4 value=$endyear name="endyear" maxlength=4>
	</td>
</tr>
<tr><td>&nbsp;</td></tr>
<tr>
	<td valign="top"><input type="submit" name="report" value="View Sales"><br><br></td>
</tr>
</table>
<div align="right">
<a href="mer_telsales.${pft}?auth=$auth">Enter Manual Sales</a>
</div>
(END HTML2)

########################################### Pending Sales Admin

if ($formdata{'report_type'} eq 1) {

	print "<h3>Pending Sales Admin&nbsp;";
	print "<a href=\"#\" onClick=\"alert(\'You can use this page to reject fraud sales and returns.\\n\\nSales and commission amounts can be changed to cater for part fulfilled orders or special arrangements.\\n\\nAffiliates can view pending sales but are made aware than they may be rejected or changed for these reasons.\\n\\nSetting orders to accepted entitles affiliates to invoice you for the commission earned.\'); return false\"><img src=\"images/q.gif\" width=17 height=16 border=0 alt=\"Click for Help\"></a></h3>";
	print "<table cellpadding=3><tr class=d><td><font color=black>Date</font></td><td><font color=black>Affiliate</font></td><td><font color=black>Sale&nbsp;Id</font></td><td><font color=black>Sale&nbsp;Amount</font></td><td><font color=black>Comm.&nbsp;Due</font></td><td><font color=black>Approved&nbsp;?</font></td><td><font color=black>Rejected&nbsp;?</font></td></tr>";

	########### load approved file & rejected file
	my %orders;
	open APPROVED, "<${ccpath}reports/sales_approved.csv";
	while($line = <APPROVED>) {
		
		($dte, $web, $banner, $order, $value, $method, $sales_com, $sales_name, $aff_com) = split(/,/, $line);

		$orders{$order} = $order;
	}
	close APPROVED;

	open REJECTED, "<${ccpath}reports/sales_rejected.csv";
	while($line = <REJECTED>) {
		
		($dte, $web, $banner, $order, $value, $method, $sales_com, $sales_name, $aff_com) = split(/,/, $line);

		$orders{$order} = $order;
	}
	close REJECTED;

	########### data
	my $sales_total = 0.0;
	my $comm_total = 0.0;
	my $cl, $sort_dte;
	my %date_order;
	
	open PENDING, "<${ccpath}reports/sales_pending.csv";
	while($line = <PENDING>) {

		($dte, $web, $banner, $order, $value, $method, $sales_com, $sales_name, $aff_com) = split(/,/, $line);

		($day, $month, $year) =  split(/\//, $dte);

		next if $aff_web ne "all" and $aff_web ne $web;

		next if $year<$startyear ||
		  ($year==$startyear && $months{$month}<$months{$startmonth}) ||
		  ($year==$startyear && $months{$month}==$months{$startmonth} && $day<$startday);

		last if $year>$endyear ||
		  ($year==$endyear && $months{$month}>$months{$endmonth}) ||
		  ($year==$endyear && $months{$month}==$months{$endmonth} && $day>$endday);

		next if $orders{$order};

		$sort_dte = $year . $amonths{$month} . $day . $order; # yymmdd plus order num
		$date_order{$sort_dte} = $order;

		$hid_line{$order} = "<input type=hidden name=$order value='$line'>";

		$value = sprintf "%.2f", $value;
		$sales_com = sprintf "%.2f", $sales_com;

		$rep_line{$order} = "<td>$dte</td>";
		$rep_line{$order} .= "<td>$web</td>";
		$rep_line{$order} .= "<td>$order $sales_name</td>";
		#$rep_line{$order} .= "<td align=right>$value</td>";
		$rep_line{$order} .= "<td align=right><input type=text style='text-align:right' name=sval_$order value=$value size=7></td>";

		$sales_total += $value;
			
		$comm_total += $sales_com;

		$rep_line{$order} .= "<td align=right><input type=text style='text-align:right' name=scom_$order value=$sales_com size=7></td>";
		$rep_line{$order} .= "<td><input type=radio name=rcb_$order value=1></td>";
		$rep_line{$order} .= "<td><input type=radio name=rcb_$order value=2></td></tr>";
	}
	close PENDING;

	foreach $key (sort keys %date_order) {
		$cl = ($cl eq "a") ? "b" : "a";
		print "<tr class=$cl>$rep_line{$date_order{$key}}\n";
	}

	############# totals

	$comm_total = sprintf "%.2f", $comm_total;

	print "<tr class=c>";
	print "<td>Period Total</td>";
	print "<td>&nbsp;</td>";
	print "<td>&nbsp;</td>";
	print "<td align=right>$sales_total</td>";
	print "<td align=right>$comm_total</td>";
	print "<td>&nbsp;</td>";
	print "<td>&nbsp;</td>";
	print "</tr>";

	$action_text = "Approve / Reject";
} # end of report_type 1 - pending

######## Approved Sales Admin

elsif ($formdata{'report_type'} eq 2) {
	print "<h3>Approved Sales Admin&nbsp;";
	print "<a href=\"#\" onClick=\"alert(\'Use this page to process affiliate invoices.\\n\\nUse the date controls to run the report for the period of submitted invoices to check the total commission claimed agrees with the total commission due then issue a cheque and mark each order as paid.\'); return false\"><img src=\"images/q.gif\" width=17 height=16 border=0 alt=\"Click for Help\"></a></h3>";
	print "<table cellpadding=3><tr class=d><td><font color=black>Date</font></td><td><font color=black>Affiliate</font></td><td><font color=black>Sales&nbsp;Id</font></td><td><font color=black>Sales</font></td><td><font color=black>Comm.&nbsp;Due</font></td><td><font color=black>Paid&nbsp;?</font></td></tr>";

	########### load paid file
	my %orders;
	open PAID, "<${ccpath}reports/sales_paid.csv";
	while($line = <PAID>) {
		
		($dte, $web, $banner, $order, $value, $method, $sales_com, $sales_name, $aff_com) = split(/,/, $line);

		$orders{$order} = $order;
	}
	close PAID;

	########### data
	my $sales_total = 0.0;
	my $comm_total = 0.0;
	my $cl, $sort_dte;
	my %date_order;
	
	open APPROVED, "<${ccpath}reports/sales_approved.csv";
	while($line = <APPROVED>) {

		($dte, $web, $banner, $order, $value, $method, $sales_com, $sales_name, $aff_com) = split(/,/, $line);

		($day, $month, $year) =  split(/\//, $dte);
		
		next if $aff_web ne "all" and $aff_web ne $web;

		next if $year<$startyear ||
		  ($year==$startyear && $months{$month}<$months{$startmonth}) ||
		  ($year==$startyear && $months{$month}==$months{$startmonth} && $day<$startday);

		last if $year>$endyear ||
		  ($year==$endyear && $months{$month}>$months{$endmonth}) ||
		  ($year==$endyear && $months{$month}==$months{$endmonth} && $day>$endday);

		next if $orders{$order};
		
		$sort_dte = $year . $amonths{$month} . $day . $order; # yymmdd plus order num
		$date_order{$sort_dte} = $order;

		$hid_line{$order} = "<input type=hidden name=$order value='$line'>";

		$rep_line{$order} = "<td>$dte</td>";
		$rep_line{$order} .= "<td>$web</td>";
		$rep_line{$order} .= "<td>$order $sales_name</td>";
		$rep_line{$order} .= "<td align=right>$value</td>";

		$sales_total += $value;
			
		$sales_com = sprintf "%.2f", $sales_com;
		$comm_total += $sales_com;

		$rep_line{$order} .= "<td align=right>$sales_com</td>";
		$rep_line{$order} .= "<td><input type=checkbox name=pcb_$order value=1></td></tr>";
	}
	close APPROVED;
	
	foreach $key (sort keys %date_order) {
		$cl = ($cl eq "a") ? "b" : "a";
		print "<tr class=$cl>$rep_line{$date_order{$key}}\n";
	}

	############# totals

	$comm_total = sprintf "%.2f", $comm_total;
	$sales_total = sprintf "%.2f", $sales_total;


	print "<tr class=c>";
	print "<td>Period Total</td>";
	print "<td>&nbsp;</td>";
	print "<td>&nbsp;</td>";
	print "<td align=right>$sales_total</td>";
	print "<td align=right>$comm_total</td>";
	print "<td>&nbsp;</td>";
	print "</tr>";

	$action_text = "Set as Paid";

} # end of report_type 2 - Approved Sales


########################### Rejected Sales ##############################

elsif ($formdata{'report_type'} eq 3) {

	print "<h3>Rejected Sales</h3>";
	print "<table cellpadding=3><tr class=d><td><font color=black>Date</font></td><td><font color=black>Affiliate</font></td><td><font color=black>Sales&nbsp;Id</font></td><td><font color=black>Sales</font></td><td><font color=black>Commission</font></td></tr>";
	########### data
	my $sales_total = 0.0;
	my $comm_total = 0.0;
	my $cl, $sort_dte;
	my %date_order;

	open REJECTED, "<${ccpath}reports/sales_rejected.csv";
	while($line = <REJECTED>) {

		($dte, $web, $banner, $order, $value, $method, $sales_com, $sales_name, $aff_com) = split(/,/, $line);

		($day, $month, $year) =  split(/\//, $dte);

		next if $aff_web ne "all" and $aff_web ne $web;

		next if $year<$startyear ||
		  ($year==$startyear && $months{$month}<$months{$startmonth}) ||
		  ($year==$startyear && $months{$month}==$months{$startmonth} && $day<$startday);

		last if $year>$endyear ||
		  ($year==$endyear && $months{$month}>$months{$endmonth}) ||
		  ($year==$endyear && $months{$month}==$months{$endmonth} && $day>$endday);

		$sort_dte = $year . $amonths{$month} . $day . $order; # yymmdd plus order num
		$date_order{$sort_dte} = $order;

		$hid_line{$order} = "<input type=hidden name=$order value='$line'>";

		$rep_line{$order} = "<td>$dte</td>";
		$rep_line{$order} .= "<td>$web</td>";
		$rep_line{$order} .= "<td>$order $sales_name</td>";
		$rep_line{$order} .= "<td align=right>$value</td>";

		$sales_total += $value;
			
		$comm_total += $sales_com;

		$rep_line{$order} .= "<td align=right>$sales_com</td>";
		$rep_line{$order} .= "</tr>";
	}
	close REJECTED;

	foreach $key (sort keys %date_order) {
		$cl = ($cl eq "a") ? "b" : "a";
		print "<tr class=$cl>$rep_line{$date_order{$key}}\n";
	}

	############# totals

	$comm_total = sprintf "%.2f", $comm_total;
	$sales_total = sprintf "%.2f", $sales_total;
	
	print "<tr class=c>";
	print "<td>Period Total</td>";
	print "<td>&nbsp;</td>";
	print "<td>&nbsp;</td>";
	print "<td align=right>$sales_total</td>";
	print "<td align=right>$comm_total</td>";
	print "</tr>";

} # end of rpt type 3

######## Paid Sales

elsif ($formdata{'report_type'} eq 4) {

	print "<h3>Paid Sales</h3>";
	print "<table cellpadding=3><tr class=d><td><font color=black>Date</font></td><td><font color=black>Affiliate</font></td><td><font color=black>Sales&nbsp;Id</font></td><td><font color=black>Sales</font></td><td><font color=black>Comm.&nbsp;Paid</font></td></tr>";
	########### data
	my $sales_total = 0.0;
	my $comm_total = 0.0;
	my $cl, $sort_dte;
	my %date_order;

	open PAID, "<${ccpath}reports/sales_paid.csv";
	while($line = <PAID>) {

		($dte, $web, $banner, $order, $value, $method, $sales_com, $sales_name, $aff_com) = split(/,/, $line);

		($day, $month, $year) =  split(/\//, $dte);

		next if $aff_web ne "all" and $aff_web ne $web;

		next if $year<$startyear ||
		  ($year==$startyear && $months{$month}<$months{$startmonth}) ||
		  ($year==$startyear && $months{$month}==$months{$startmonth} && $day<$startday);

		last if $year>$endyear ||
		  ($year==$endyear && $months{$month}>$months{$endmonth}) ||
		  ($year==$endyear && $months{$month}==$months{$endmonth} && $day>$endday);

		$sort_dte = $year . $amonths{$month} . $day . $order; # yymmdd plus order num
		$date_order{$sort_dte} = $order;

		$hid_line{$order} = "<input type=hidden name=$order value='$line'>";

		$rep_line{$order} = "<td>$dte</td>";
		$rep_line{$order} .= "<td>$web</td>";
		$rep_line{$order} .= "<td>$order $sales_name</td>";
		$rep_line{$order} .= "<td align=right>$value</td>";

		$sales_total += $value;
			
		$sales_com = sprintf "%.2f", $sales_com;
		$comm_total += $sales_com;

		$rep_line{$order} .= "<td align=right>$sales_com</td>";
		$rep_line{$order} .= "</tr>";
	}
	close PAID;

	foreach $key (sort keys %date_order) {
		$cl = ($cl eq "a") ? "b" : "a";
		print "<tr class=$cl>$rep_line{$date_order{$key}}\n";
	}
	
	############# totals

	$comm_total = sprintf "%.2f", $comm_total;
	$sales_total = sprintf "%.2f", $sales_total;

	print "<tr class=c>";
	print "<td>Period Total</td>";
	print "<td>&nbsp;</td>";
	print "<td>&nbsp;</td>";
	print "<td align=right>$sales_total</td>";
	print "<td align=right>$comm_total</td>";
	print "</tr>";
} # end of rpt type 4

################################# New Sales #############################

else {

	print "<h3>New Sales Admin&nbsp;";
	print "<a href=\"#\" onClick=\"alert(\'Use this page to remove duplicate orders and test orders.\\n\\nAs new sales cannot be seen by affiliates you should endeavour\\nto process this page regularly to keep your affiliates interested.\\n\\nNote that orders set to pending can still be rejected at a later time.\'); return false\"><img src=\"images/q.gif\" width=17 height=16 border=0 alt=\"Click for Help\"></a></h3>";
	print "<table cellpadding=3><tr class=d><td><font color=black>Date</font></td><td><font color=black>Affiliate</font></td><td><font color=black>Sales&nbsp;Id</font></td><td><font color=black>Sales</font></td><td><font color=black>Comm.&nbsp;Due</font></td><td><font color=black>Pending&nbsp;?</font></td><td><font color=black>Rejected&nbsp;?</font></td></tr>";

	########### load pending and rejected files
	my %orders;
	open PENDING, "<${ccpath}reports/sales_pending.csv";
	while($line = <PENDING>) {
		
		($dte, $web, $banner, $order, $value, $method, $sales_com, $sales_name, $aff_com) = split(/,/, $line);

		$orders{$order} = $order;
	}
	close PENDING;
	
	open REJECTED, "<${ccpath}reports/sales_rejected.csv";
	while($line = <REJECTED>) {
		
		($dte, $web, $banner, $order, $value, $method, $sales_com, $sales_name, $aff_com) = split(/,/, $line);

		$orders{$order} = $order;
	}
	close REJECTED;


	########### data
	my $sales_total = 0.0;
	my $comm_total = 0.0;
	my $cl, $sort_dte;
	my %date_order;

	open SALES, "<${ccpath}reports/sales.csv";
	while($line = <SALES>) {

		($dte, $web, $banner, $order, $value, $method, $sales_bonus, $sales_name, $aff_com) = split(/,/, $line);

		($day, $month, $year) =  split(/\//, $dte);

		next if $aff_web ne "all" and $aff_web ne $web;

		next if $year<$startyear ||
		  ($year==$startyear && $months{$month}<$months{$startmonth}) ||
		  ($year==$startyear && $months{$month}==$months{$startmonth} && $day<$startday);

		last if $year>$endyear ||
		  ($year==$endyear && $months{$month}>$months{$endmonth}) ||
		  ($year==$endyear && $months{$month}==$months{$endmonth} && $day>$endday);

		next if $orders{$order};
		
		$sort_dte = $year . $amonths{$month} . $day . $order; # yymmdd plus order num
		$date_order{$sort_dte} = $order;

		
		$hid_line{$order} = "<input type=hidden name=$order value='$line'>";

		$value = sprintf "%.2f", $value;
		
		$sales_com = ($method eq "F") ? $aff_com : ($aff_com + $sales_bonus) * $value / 100;		
		$sales_com = sprintf "%.2f", $sales_com;

		$rep_line{$order} = "<td>$dte</td>";
		$rep_line{$order} .= "<td>$web</td>";
		$rep_line{$order} .= "<td>$order $sales_name</td>";
		$rep_line{$order} .= "<td align=right>$value</td>";

		$sales_total += $value;
			
		$comm_total += $sales_com;

		$rep_line{$order} .= "<td align=right><input type=text style='text-align:right' name=scom_$order value=$sales_com size=7></td>";
		$rep_line{$order} .= "<td><input type=radio name=scb_$order value=1></td>";
		$rep_line{$order} .= "<td><input type=radio name=scb_$order value=2></td></tr>";
	}
	close SALES;

	foreach $key (sort keys %date_order) {
		$cl = ($cl eq "a") ? "b" : "a";
		print "<tr class=$cl>$rep_line{$date_order{$key}}\n";
	}
	
	############# totals

	$comm_total = sprintf "%.2f", $comm_total;
	$sales_total = sprintf "%.2f", $sales_total;
	
	print "<tr class=c>";
	print "<td>Period Total</td>";
	print "<td>&nbsp;</td>";
	print "<td>&nbsp;</td>";
	print "<td align=right>$sales_total</td>";
	print "<td align=right>$comm_total</td>";
	print "<td colspan=2>&nbsp;</td>";
	print "</tr>";

	$action_text = "Set Pending / Reject";
} # end of rpt type 0

print "</table><br>\n";

foreach $key (keys %hid_line) {
	print "$hid_line{$key}\n";
}

if ($action_text) {
	print "<input type=submit name=sales_admin value='$action_text'>";
}
print <<"(END HTML2)";
</form>
<br>
<SCRIPT LANGUAGE="JavaScript">
document.report.report_type.value = "$formdata{'report_type'}";
document.report.startday.value = "$startday";
document.report.startmonth.value = "$startmonth";
document.report.startyear.value = $startyear;
document.report.endday.value = "$endday";
document.report.endmonth.value = "$endmonth";
document.report.endyear.value = $endyear;

function validateYr(form) 
{
	if(form.startyear.value=="" || form.startyear.value < 2001)
	{
		alert("Please enter a start year in the format YYYY");
		form.startyear.select();
		form.startyear.focus();
		return false;
	}

	if(form.endyear.value=="")
	{
		alert("Please enter an end year");
		form.endyear.select();
		form.endyear.focus();
		return false;
	}
	else if(form.endyear.value < form.startyear.value)
	{
		alert("Please enter an end year greater than or equal to the start year");
		form.endyear.select();
		form.endyear.focus();
		return false;
	}
	return true;
}
</script>
(END HTML2)

&page_btm;

