#!/usr/bin/perl
use File::Basename; 
use lib dirname ($0);
use AffiliateLib;

################# read form
&read_form;

################# read merchant record
my $message;

@result = &get_cook;
if($result[0] == 1) {
	%mer = %{$result[1]};
}

if($formdata{'mer_email'} =~ /@/) {

	if(! open FILEHANDLE, "<${ccpath}merchant/$formdata{'mer_email'}") {
		$message = "<br><br><font class=error>Incorrect Email Address - Please try again.</font><br><br>";
	}
	else {

		%mer = split(" ", <FILEHANDLE>);
		close FILEHANDLE;

		foreach $key (keys %mer) {
			$mer{$key} =~ tr/+/ /;
			$mer{$key} =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
		}
		
		################# security tests
		&check_url($mer{'mer_web'});

		if($formdata{'lostbtn'}) {

			################ send email to merchant
			&ccsendmail(
				$mer{'mer_email'},
				"admin\@clickclocker.com",
				"Forgotten password", 
				"Dear $mer{'mer_name'},\n\nYour password for the $merchantname affiliate program is '$mer{'mer_pwd'}'.\n\nThankyou.\n\nAdmin\nClickClocker\n");
	
			$message = "<br><br><font class=error>Password Sent - Please check your email.</font><br><br>";
		}
		elsif($formdata{'mer_pwd'} ne $mer{'mer_pwd'}) {
			$message = "<br><br><font class=error>Incorrect Password - Please check your password and try again, or enter your email address then click the 'Lost Password' button to have your password emailed to you.</font><br><br>";
			$lost_btn = "&nbsp;&nbsp;&nbsp;&nbsp;<input type=submit name=lostbtn value='Lost Password'>";
		}

		# display info to merchant
		if(! $message) {

			my $enc_email = &url_encode(crypt $formdata{'mer_email'}, "CLICK");
			my $url = "mer_stats.${pft}?auth=$enc_email";

			&set_cook_and_go(\%mer, $url);

			exit;
		}
	}
}
# display info to merchant

print <<"(END MESSAGE2)";
Content-type: text/html

<html>
<head>
<title>Affiliate Program - Merchant Signin</title>
<LINK REL=stylesheet HREF="style.css" TYPE="text/css">
<SCRIPT LANGUAGE="JavaScript">
function validateCust(form) 
{
	if(form.mer_email.value=="" )
	{
		alert("Please enter your email address");
		form.mer_email.focus();
		return false;
	}
	else if(form.mer_email.value.indexOf("@")=="-1" ||
			form.mer_email.value.indexOf(".")=="-1" )
	{
		alert("Please enter a valid email address");
		form.mer_email.select();
		form.mer_email.focus();
		return false;
	}
	return true;
}
</script>

</head>
<body>
<div align="center">
<h3>Merchant Signin</h3>
<form action="mer_signin.${pft}" method="post" onSubmit="return validateCust(this)">
<table width="600" border="0" cellspacing="0" cellpadding="0" class="a">
<tr>
	<td class=a>&nbsp;</td>
	<td class=a valign="top" colspan="2">
		<b>Merchant Login</b>
		<br><br>$message
	</td>
	<td class=a>&nbsp;</td>
</tr>
<tr>
	<td class=a>&nbsp;</td>
	<td class=a valign="top">Email</td>
	<td class=a valign="top"><input type="text" name="mer_email" value="$mer{mer_email}" size="40" maxlength="50"></input><br></td>
	<td class=a>&nbsp;</td>
</tr>
<tr>
	<td class=a>&nbsp;</td>
	<td class=a valign="top">Password</td>
	<td class=a valign="top"><input type="password" name="mer_pwd" size="10" maxlength="15"></input><br></td>
	<td class=a>&nbsp;</td>
</tr>
<tr><td class=a colspan="4">&nbsp;</td></tr>
<tr>
	<td class=a colspan="2">&nbsp;</td>
	<td class=a valign="top"><input type="submit" name="step2" value="Login">$lost_btn<br></td>
	<td class=a>&nbsp;</td>
</tr>
</table>
</form>
<br>
</div>
</body>
</html>
(END MESSAGE2)
