#!/usr/bin/perl

use File::Basename; 
use lib dirname ($0);
use AffiliateLib;

################# read form
&read_form;

if($formdata{'aff'}) {

	$aff = $formdata{'aff'};

} else {

	################# read passed vars
	use CGI qw(param);
	$aff = param("aff");
	$message = "<h3>Change Affiliate Details</h3>";
}

$aff =~ tr/+/ /;
$aff =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

################# read merchant record
%merchant = get_merchant;

################# read affiliate details
%affiliate = get_affiliate($aff);

################# process form input
if($formdata{'aff'}) {
	
	################# write changes to affiliate file

	if($formdata{'aff_vat_no'} eq "") {
		$formdata{'aff_vat_no'}="~";
	}
	if($formdata{'aff_addr2'} eq "") {
		$formdata{'aff_addr2'}="~";
	}
	$formdata{'id'} = get_next('affiliate');
	$formdata{'aff_date'} = scalar localtime(time());
	$formdata{'aff_date'} =~ tr/ /+/;
	$, = " ";

	if($formdata{'old_email'} ne $formdata{'aff_email'}) {
		$new = "${ccpath}accepted/$formdata{'aff_email'}";
		$old = "${ccpath}accepted/$formdata{'old_email'}";
		rename $old, $new;
		$aff = &mycrypt($formdata{'aff_email'});
		$formdata{'aff'} = $aff;
	}
	
	open AFFHANDLE, ">${ccpath}accepted/$formdata{'aff_email'}" 
		or error_msg( "Cannot open file accepted/$formdata{'aff_email'}");
	print AFFHANDLE %formdata;
	close AFFHANDLE;

	$message = "<h3>Your Changes have been applied</h3>";
}

################# read updated affiliate details
%affiliate = get_affiliate($aff);

################# write form
&page_top("Change Affiliate Details");

&aff_nav($aff);

if(! $affiliate{'aff_url'}) {
	$affiliate{'aff_url'} = "http://" . $affiliate{'aff_web'};
}

$aff_method = $affiliate{'aff_method'};
$aff_com = sprintf "%.2f", $affiliate{'aff_com'};
$aff_fix = sprintf "%.2f", $affiliate{'aff_fix'};
$aff_cook = sprintf "%.0f", $affiliate{'aff_cook'};

if($aff_cook==0){ $aff_cook=500; }

if($aff_method eq "C") {
	$aff_com_text = "Commission : " . $aff_com . " %";
} else {
	$aff_com_text = "Fixed Amount per Sale : $currency" . $aff_fix;
}

print <<"(END MESSAGE)";

$message
<form action="change.${pft}" method="post" onSubmit="return validateCust(this)">
<input type=hidden name=aff value="$aff"></input>
<input type=hidden name=old_email value="$affiliate{'aff_email'}"></input>
<input type=hidden name=aff_web value="$affiliate{'aff_web'}"></input>

<input type=hidden name=aff_method value="$affiliate{'aff_method'}"></input>
<input type=hidden name=aff_com value="$affiliate{'aff_com'}"></input>
<input type=hidden name=aff_fix value="$affiliate{'aff_fix'}"></input>
<input type=hidden name=aff_cook value="$affiliate{'aff_cook'}"></input>

<table width="600" border="0" cellspacing="0" cellpadding="0">
<tr>
	<td>&nbsp;</td>
	<td valign="top" colspan="2">
		<b>Contact Details</b>
		<br><br>
	</td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Name</td>
	<td valign="top"><input type="text" name="aff_name" value="$affiliate{'aff_name'}" size="40" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Email</td>
	<td valign="top"><input type="text" name="aff_email" value="$affiliate{'aff_email'}" size="40" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>


	<td valign="top">Password</td>
	<td valign="top"><input type="password" name="aff_pwd" value="$affiliate{'aff_pwd'}" size="10" maxlength="15"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Confirm Password</td>
	<td valign="top"><input type="password" name="cpwd" size="10" maxlength="15"></input><br></td>
	<td>&nbsp;</td>
</tr>


<tr>
	<td>&nbsp;</td>
	<td valign="top" colspan="2"><br>
		<b>Affiliate Parameters</b><br><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Payment Method</td>
	<td valign="top">$aff_com_text<br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Cookie return days</td>
	<td valign="top">$aff_cook<br></td>
	<td>&nbsp;</td>
</tr>


<tr>
	<td>&nbsp;</td>
	<td valign="top" colspan="2"><br>
		<b>Company Details</b><br><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Company Name</td>
	<td valign="top"><input type="text" name="aff_org" value="$affiliate{'aff_org'}" size="30" maxlength="50"></input>&nbsp;or name on cheque<br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">VAT Reg. No.</td>
	<td valign="top"><input type="text" name="aff_vat_no" value="$affiliate{'aff_vat_no'}" size="20" maxlength="30"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Web Site URL</td>
	<td valign="top"><b>http://</b><input type="text" name="aff_url" size=40 maxlength=255 value="$affiliate{'aff_url'}"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Address</td>
	<td valign="top"><input type="text" name="aff_addr1" value="$affiliate{'aff_addr1'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">&nbsp;</td>
	<td valign="top"><input type="text" name="aff_addr2" value="$affiliate{'aff_addr2'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Town/City</td>
	<td valign="top"><input type="text" name="aff_addr3" value="$affiliate{'aff_addr3'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">County/Region</td>
	<td valign="top"><input type="text" name="aff_region" value="$affiliate{'aff_region'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Country</td>
	<td valign="top"><input type="text" name="aff_country" value="$affiliate{'aff_country'}" size="30" maxlength="50"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Postcode/ZIP</td>
	<td valign="top"><input type="text" name="aff_zip" value="$affiliate{'aff_zip'}" size="10" maxlength="15"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td valign="top">Telephone</td>
	<td valign="top"><input type="text" name="aff_phone" value="$affiliate{'aff_phone'}" size="20" maxlength="20"></input><br></td>
	<td>&nbsp;</td>
</tr>
<tr><td colspan="4">&nbsp;</td></tr>
<tr>
	<td colspan="2">&nbsp;</td>
	<td valign="top"><input type="submit" name="step2" value="Update Details"><br></td>
	<td>&nbsp;</td>
</tr>
</table>
</form>
<br>

<SCRIPT LANGUAGE="JavaScript">
function validateCust(form) 
{
	if(form.aff_name.value=="" )
	{
		alert("Please enter your name");
		form.aff_name.focus();
		return false;
	}
	if(form.aff_email.value=="" )
	{
		alert("Please enter your email address");
		form.aff_email.focus();
		return false;
	}
	else if(form.aff_email.value.indexOf("@")=="-1" ||
			form.aff_email.value.indexOf(".")=="-1" )
	{
		alert("Please enter a valid email address");
		form.aff_email.select();
		form.aff_email.focus();
		return false;
	}
	if(form.aff_pwd.value=="")
	{
		alert("Please enter a password");
		form.aff_pwd.select();
		form.aff_pwd.focus();
		return false;
	}
	if(form.cpwd.value!=form.aff_pwd.value)
	{
		alert("Please ensure you type in the same password twice");
		form.aff_pwd.select();
		form.aff_pwd.focus();
		return false;
	}
	if(form.aff_org.value=="" )
	{
		alert("Please enter a Company Name");
		form.aff_org.focus();
		return false;
	}
	if(form.aff_web.value=="" )
	{
		alert("Please enter a website");
		form.aff_web.focus();
		return false;
	}
	
	if(form.aff_addr1.value=="" )
	{
		alert("Please complete your address");
		form.aff_addr1.focus();
		return false;
	}
	if(form.aff_addr3.value=="" )
	{
		alert("Please complete your address");
		form.aff_addr3.focus();
		return false;
	}
	if(form.aff_region.value=="" )
	{
		alert("Please enter your County / State");
		form.aff_region.focus();
		return false;
	}
	if(form.aff_country.value=="" )
	{
		alert("Please enter your country");
		form.aff_country.focus();
		return false;
	}
	if(form.aff_zip.value=="" )
	{
		alert("Please enter a Post Code / Zip Code");
		form.aff_zip.focus();
		return false;
	}
	if(form.aff_phone.value=="" )
	{
		alert("Please enter your telephone number");
		form.aff_phone.focus();
		return false;
	}
	return true;
}
</script>

(END MESSAGE)

&page_btm;
