#!/usr/bin/perl

################# Globals
use File::Basename; 
use lib dirname ($0);
use AffiliateLib;

&read_form;

if($formdata{'aff_web'}) {
	$auth = $formdata{'auth'};
	$url = $formdata{'url'};
	$url =~ tr/+/ /;
	$url =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	$urlbox = $url;
	$url = &url_encode($url);

	$aff_web = $formdata{'aff_web'};

} else {
	################# read passed vars
	use CGI qw(param);
	$auth = param("auth");
	
	$selected = " selected";
	$aff_web = "none";
}

my $target = "";
my $checked = "";

if ($formdata{'targetblank'}==1) {
	$target = "target=&quot;_blank&quot; ";
	$checked = "checked";
}

################# read merchant record
%merchant = get_merchant($auth, 1); # 1=authenticate
$mer_url = "http://$merchant{'mer_web'}";
$merwebenc = url_encode($merchant{'mer_web'});

################# page layout
&page_top("Affiliate Banner Selection");

&mer_nav($merchant{'mer_email'});

print <<"(END MESSAGE)";
<h3>Affiliate Banner Selection</h3>
<table><tr><td>
To implement a banner on your site, copy (Ctrl-C) the code below the chosen banner then paste (Ctrl-V) it into your web page.
</td><td>
<a href="#" onClick="alert(\'The code contains everything required to link and track visitors sent from your website. \\nDo not alter the code as it may prevent the system from tracking your links properly.\'); return false"><img src="images/q.gif" width=17 height=16 border=0 alt="Click for Help"></a>
</td></tr></table>
<br>
<form action=mer_banners.${pft} method=post>
To link directly to a page <strong>other than the home page</strong>, copy (Ctrl-C) the URL from the browser address box then paste (Ctrl-V) it below and click 'Generate Code'
<br>
<input type=hidden name=auth value="$auth">
<input type=text value="$urlbox" name=url size=50 maxlength=255>
<a href="#" onClick="alert(\'The URL is validated to look like $mer_url/...\'); return false"><img src="images/q.gif" width=17 height=16 border=0 alt="Click for Help"></a>
<br>
Affiliate <select name="aff_web"><option value="none" $selected>--select affiliate--</option>
(END MESSAGE)

################## get affiliates
opendir(DIRECTORY, "${ccpath}accepted") or error_msg( "Can't open directory accepted");
$files = join (',', readdir(DIRECTORY));
@filelist = split(/,/, $files);
closedir DIRECTORY;

################# display affiliates

foreach $affiliate (@filelist) 
{
	if($affiliate =~ /@/ && open FILEHANDLE, "<${ccpath}accepted/$affiliate")
	{
		%aff = split(" ", <FILEHANDLE>);
		close FILEHANDLE;

		foreach $key (keys %aff) {
	    	$aff{$key} =~ tr/~/ /;
			$aff{$key} =~ tr/+/ /;
			$aff{$key} =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
		}

		print "<option value=\"$aff{'aff_web'}\"";
		
		if($aff_web eq $aff{'aff_web'}) {
			print " selected" ;
		}
		
		print ">$aff{'aff_web'}</option>";
	}
}

print "</select>&nbsp;&nbsp;&nbsp;&nbsp;Open links in new window ? <input type=checkbox name=\"targetblank\" value=1 $checked><br><br><input type=submit name=generate value=\"Generate Code\"></input></form>";

################# read banner directory
opendir(DIRECTORY, "${ccpath}banners") or print "Can't open directory banners";
$files = join (',', readdir(DIRECTORY));
@filelist = reverse sort split(/,/, $files);
closedir DIRECTORY;

################# display banners

foreach $banner (@filelist) {

	if($banner =~ /gif/) {
		$banner =~ /\./;
		$bid = $`;
		$banner =~ /_/;
		$size = $';
		$size =~ /\./;
		$size = $`;
		
		print "<br><br><img src=\"banners/$banner\" border=0>";
		
		if($size =~ /[0-9]+x[0-9]+/) {
			print " Size=$size";
		}
		print "<br><font face=Courier size=-1><TEXTAREA NAME=\"banner$bid\" COLS=70 ROWS=6 WRAP=virtual onMouseOver=\"this.focus()\" onFocus=\"this.select()\">";
		print "<!-- Start of clickclocker code -->\n";
		#print "&lt;script type=&quot;text/javascript&quot; language=&quot;javascript&quot; src=&quot;$mer_url/${ccwebpath}/${showprog}?a=$aff_web&amp;b=$bid";
		print "&lt;a ${target}href=&quot;$mer_url/${ccwebpath}/click.${pft}?a=$aff_web&amp;b=$bid";

		if (defined($url) and 
			$url =~ /http(.)+?$merwebenc/i and 
			$url !~ /(click\.${pft}|buy\.${pft}|%3c|%3e|%7c)/i) {
			print "&amp;url=$url";
		}

		print "&quot;&gt;";
		print "&lt;img border=0 src=&quot$mer_url/${ccwebpath}/getlink.${pft}?a=$aff_web&amp;b=$bid&quot;&gt;";
		print "&lt;/a&gt;\n";
		print "<!-- End of clickclocker code -->\n";
		print "</TEXTAREA></font><br><br>";
	}
}
print "<br><br>Text Link : <br>";
print "<font face=Courier size=-1><TEXTAREA NAME=\"banner$bid\" COLS=70 ROWS=7 WRAP=virtual onMouseOver=\"this.focus()\" onFocus=\"this.select()\">";
print "<!-- Start of clickclocker code -->\n";
#print "&lt;script type=&quot;text/javascript&quot; language=&quot;javascript&quot; src=&quot;$mer_url/${ccwebpath}/${showprog}?a=$aff_web&amp;b=text";
print "&lt;a ${target}href=&quot;$mer_url/${ccwebpath}/click.${pft}?a=$aff_web&amp;b=text";

if (defined($url) and 
	$url =~ /http(.)+?$merwebenc/i and 
	$url !~ /(click\.${pft}|buy\.${pft}|%3c|%3e|%7c)/i) 
{
	print "&amp;url=$url";
} 

print "&quot;&gt;";
print "LINK TEXT HERE";
print "&lt;/a&gt;\n";
print "&lt;img border=0 src=&quot$mer_url/${ccwebpath}/getlink.${pft}?a=$aff_web&amp;b=text&quot;&gt;";
print "<!-- End of clickclocker code -->\n";
print "</TEXTAREA></font><br><br><br>";

&page_btm;