#!/usr/bin/perl
use File::Basename; 
use lib dirname ($0);
use AffiliateLib;

$months{'Jan'}=1;
$months{'Feb'}=2;
$months{'Mar'}=3;
$months{'Apr'}=4;
$months{'May'}=5;
$months{'Jun'}=6;
$months{'Jul'}=7;
$months{'Aug'}=8;
$months{'Sep'}=9;
$months{'Oct'}=10;
$months{'Nov'}=11;
$months{'Dec'}=12;

################# read form
&read_form;

if($formdata{'auth'}) {
    $auth = $formdata{'auth'};
} else {
	################# read passed vars
	use CGI qw(param);
	$auth = param("auth");
}

################# read merchant record
%merchant = get_merchant($auth, 1); # 1=authenticate

################# make sure stats are up to date
open(CLICKCLOCKER, "${ccpath}${ccprog} ${ccexecpath} |");
$errormessage = <CLICKCLOCKER>;
close CLICKCLOCKER;

if(! $formdata{'report_type'}) {
	$formdata{'report_type'}=0;
}

open(YESTERDAY, "${ccpath}yesterday |");
$yesterday = <YESTERDAY>;
close YESTERDAY;

if($formdata{'startday'} ne "") {

	($y_endday,$y_endmonth,$y_endyear) = split(/\//, $yesterday);

	$startday = $formdata{'startday'};
	$startmonth = $formdata{'startmonth'};
	$startyear = $formdata{'startyear'};

	$endday = $formdata{'endday'};
	$endmonth = $formdata{'endmonth'};
	$endyear = $formdata{'endyear'};

	########### test end date !gt yesterday
	$argmonth = $months{$endmonth}-1;
	$argymonth = $months{$y_endmonth}-1;
	$args = "$endday $argmonth $endyear $y_endday $argymonth $y_endyear";
	open(COMM1, "${ccpath}diffdate $args |");
	$result = <COMM1>;
	close COMM1;

	if($result eq "1") {
		($endday,$endmonth,$endyear) = split(/\//, $yesterday);
	}

	########### test start date !gt end date
	$argsmonth = $months{$startmonth}-1;
	$argemonth = $months{$endmonth}-1;
	$args = "$startday $argsmonth $startyear $endday $argemonth $endyear";
	open(COMM2, "${ccpath}diffdate $args |");
	$result = <COMM2>;
	close COMM2;

	if($result eq "1") {
		$startday = "01";
		$startmonth = $endmonth;
		$startyear = $endyear;
	}

	$from_date = "$startday/$startmonth/$startyear";
	$to_date = "$endday/$endmonth/$endyear";

} else {

	($endday,$endmonth,$endyear) = split(/\//, $yesterday);
	$startday = "01";
	$startmonth = $endmonth;
	$startyear = $endyear;

	$from_date = "$startday/$startmonth/$startyear";
	$to_date = "$endday/$endmonth/$endyear";
}

################# write form
&page_top("Affiliate Reports");

&mer_nav($merchant{'mer_email'});

print <<"(END MESSAGE)";
<h3>Report Controls</h3> $errormessage
<form name=report action="mer_stats.${pft}" method="post" onSubmit="return validateYr(this)">
<input type=hidden name=auth value="$auth"></input>
<table border="0" cellspacing="0" cellpadding="0">
<tr><td valign="top">Report Type&nbsp;&nbsp;</td>
	<td colspan="3"><select name="report_type">
	<option value="0" selected>Summary Report</option>
	<option value="1">Links Analysis</option>
	<option value="2">Sales Performance</option>
	<option value="3">Affiliate Performance</option>
</select><BR><BR></td>
</tr>
<tr><td>&nbsp;</td><td>Day</td><td>Month</td><td>Year</td></tr>
<tr><td valign="top">Start Date</td><td>
	<select name="startday">
		<option value="01">01</option>
		<option value="02">02</option>
		<option value="03">03</option>
		<option value="04">04</option>
		<option value="05">05</option>
		<option value="06">06</option>
		<option value="07">07</option>
		<option value="08">08</option>
		<option value="09">09</option>
		<option value="10">10</option>
		<option value="11">11</option>
		<option value="12">12</option>
		<option value="13">13</option>
		<option value="14">14</option>
		<option value="15">15</option>
		<option value="16">16</option>
		<option value="17">17</option>
		<option value="18">18</option>
		<option value="19">19</option>
		<option value="20">20</option>
		<option value="21">21</option>
		<option value="22">22</option>
		<option value="23">23</option>
		<option value="24">24</option>
		<option value="25">25</option>
		<option value="26">26</option>
		<option value="27">27</option>
		<option value="28">28</option>
		<option value="29">29</option>
		<option value="30">30</option>
		<option value="31">31</option>
	</select>
	</td><td>
	<select name="startmonth">
		<option value="Jan">Jan</option>
		<option value="Feb">Feb</option>
		<option value="Mar">Mar</option>
		<option value="Apr">Apr</option>
		<option value="May">May</option>
		<option value="Jun">Jun</option>
		<option value="Jul">Jul</option>
		<option value="Aug">Aug</option>
		<option value="Sep">Sep</option>
		<option value="Oct">Oct</option>
		<option value="Nov">Nov</option>
		<option value="Dec">Dec</option>

	</select>
	</td><td>
	<input size=4 name="startyear" value="$startyear" maxlength=4>
	</td>
	<tr><td valign=top>End Date</td><td>
	<select name="endday">
		<option value="01">01</option>
		<option value="02">02</option>
		<option value="03">03</option>
		<option value="04">04</option>
		<option value="05">05</option>
		<option value="06">06</option>
		<option value="07">07</option>
		<option value="08">08</option>
		<option value="09">09</option>
		<option value="10">10</option>
		<option value="11">11</option>
		<option value="12">12</option>
		<option value="13">13</option>
		<option value="14">14</option>
		<option value="15">15</option>
		<option value="16">16</option>
		<option value="17">17</option>
		<option value="18">18</option>
		<option value="19">19</option>
		<option value="20">20</option>
		<option value="21">21</option>
		<option value="22">22</option>
		<option value="23">23</option>
		<option value="24">24</option>
		<option value="25">25</option>
		<option value="26">26</option>
		<option value="27">27</option>
		<option value="28">28</option>
		<option value="29">29</option>
		<option value="30">30</option>
		<option value="31">31</option>
	</select>
</td><td>
	<select name="endmonth">
		<option value="Jan">Jan</option>
		<option value="Feb">Feb</option>
		<option value="Mar">Mar</option>
		<option value="Apr">Apr</option>
		<option value="May">May</option>
		<option value="Jun">Jun</option>
		<option value="Jul">Jul</option>
		<option value="Aug">Aug</option>
		<option value="Sep">Sep</option>
		<option value="Oct">Oct</option>
		<option value="Nov">Nov</option>
		<option value="Dec">Dec</option>
	</select>
	</td><td><input size=4 value="$endyear" name="endyear" maxlength=4>
	</td>
</tr>
<tr><td>&nbsp;</td></tr>
<tr>
	<td valign="top"><input type="submit" name="report" value="View Report"><br><br></td>
</tr>
</table>
</form>

(END MESSAGE)

############################ Link Performance ############################

if ($formdata{'report_type'} eq 1) {
	print "<h3>Link Performance Analysis&nbsp;";
	print "<a href=\"#\" onClick=\"alert(\'The impressions figures show how many times a banner/link has been shown\\nacross all affiliates for the selected date range.\\n\\nThe CTR % (Click Through Ratio) shows the relative performance of your banners.\\n\\nConv. = Conversion ratio of visitors to sales\\n\\nNote that the CTR is also influenced by the location of a banner or link on the\\naffiliates web page and the quality of visitors that page receives.\'); return false\"><img src=\"images/q.gif\" width=17 height=16 border=0 alt=\"Click for Help\"></a></h3>";
	print "<table cellpadding=3><tr class=d><td valign=top><font color=black>Banner / Link</font></td><td valign=top><font color=black>Impressions</font></td><td valign=top><font color=black>Clicks</font></td><td valign=top><font color=black>Unique Visitors</font></td><td valign=top><font color=black>CTR\%</font></td><td valign=top><font color=black>Num Sales</font></td><td valign=top><font color=black>Conv.\%</font></td></tr>";

	print "<tr class=a><td colspan=7 align=center><br>Sorry, this report is only available in <br><b><a href=\"http://www.clickclocker.com/professional.htm\">ClickClocker Professional</a></b><br><br></td></tr>";
	
	print "<tr class=c>";
	print "<td>Period Total</td>";
	print "<td align=right>&nbsp;</td>";
	print "<td align=right>&nbsp;</td>";
	print "<td align=right>&nbsp;</td>";
	print "<td align=right>&nbsp;</td>";
	print "<td align=right>&nbsp;</td>";
	print "<td align=right>&nbsp;</td>";
	print "</tr>";

$sales_msg = "Sales figures include pending sales";

} # end of report_type 1 - links


############################ Sales Performance ############################

elsif ($formdata{'report_type'} eq 2) {
	print "<h3>Sales Performance&nbsp;";
	print "<a href=\"#\" onClick=\"alert(\'This report shows the individual orders across the selected date range.\\n\\nAll sales except rejected sales are displayed.\'); return false\"><img src=\"images/q.gif\" width=17 height=16 border=0 alt=\"Click for Help\"></a></h3>";
	print "<table cellpadding=3><tr class=d><td><font color=black>Date</font></td><td><font color=black>Affiliate</font></td><td><font color=black>Sales&nbsp;Id</font></td><td><font color=black>Sales</font></td><td><font color=black>Commission</font></td></tr>";
	
	print "<tr class=a><td colspan=5 width=400 align=center><br>Sorry, this report is only available in <br><b><a href=\"http://www.clickclocker.com/professional.htm\">ClickClocker Professional</a></b><br><br></td></tr>";

	print "<tr class=c>";
	print "<td>Period Total</td>";
	print "<td>&nbsp;</td>";
	print "<td>&nbsp;</td>";
	print "<td>&nbsp;</td>";
	print "<td>&nbsp;</td>";
	print "</tr>";

} # end of report_type 2 - Sales


############################ Affiliate Performance ############################

elsif ($formdata{'report_type'} eq 3) {

	print "<h3>Affiliate Performance Report&nbsp;";
	print "<a href=\"#\" onClick=\"alert(\'This report enables affiliate performance to be measured across the selected date range.\\n\\nImpressions = the number of times a banner or link has been displayed on an affiliates web page\\nand shows which affiliates are providing the most exposure.\\n\\nThe CTR% (Click Through Ratio) shows the ratio of impressions to clicks and shows how well\\ntargetted each affiliate is.\\n\\nConv. = Conversion ratio of visitors to sales. The ultimate test of quality traffic.\\n\\nAll sales except rejected sales are displayed.\'); return false\"><img src=\"images/q.gif\" width=17 height=16 border=0 alt=\"Click for Help\"></a></h3>";
	print "<table cellpadding=3><tr class=d><td valign=top><font color=black>Affiliate</font></td><td valign=top><font color=black>Impressions</font></td><td valign=top><font color=black>Clicks</font></td><td valign=top><font color=black>Unique Visitors</font></td><td valign=top><font color=black>CTR\%</font></td><td valign=top><font color=black>Num Sales</font></td><td valign=top><font color=black>Conv.\%</font></td></tr>";

	print "<tr class=a><td colspan=7 width=400 align=center><br>Sorry, this report is only available in <br><b><a href=\"http://www.clickclocker.com/professional.htm\">ClickClocker Professional</a></b><br><br></td></tr>";
	
	print "<tr class=c>";
	print "<td>Period Total</td>";
	print "<td align=right>&nbsp;</td>";
	print "<td align=right>&nbsp;</td>";
	print "<td align=right>&nbsp;</td>";
	print "<td align=right>&nbsp;</td>";
	print "<td align=right>&nbsp;</td>";
	print "<td align=right>&nbsp;</td>";
	print "</tr>";

} # end of rpt type 3

########################## Summary ############################

else {
	print "<h3>Summary Report&nbsp;";
	print "<a href=\"#\" onClick=\"alert(\'This report shows statistics across all affiliates on a day by day basis.\\n\\nImpressions = the number of times a banner or link has been displayed on affiliate web pages.\\n\\nThe CTR % (Click Through Ratio) shows the ratio of impressions to clicks\\n\\nComm. = Commission earned by affiliates\\n\\nConv. = Conversion ratio of visitors to sales\\n\\nAll sales except rejected sales are displayed.\'); return false\"><img src=\"images/q.gif\" width=17 height=16 border=0 alt=\"Click for Help\"></a></h3>";
	print "<table cellpadding=3><tr class=d><td valign=top><font color=black>Date</font></td><td valign=top><font color=black>Impressions</font></td><td valign=top><font color=black>Clicks</font></td><td valign=top><font color=black>Unique Visitors</font></td><td valign=top><font color=black>CTR\%</font></td><td valign=top><font color=black>Num Sales</font></td><td valign=top><font color=black>Comm.</font></td><td valign=top><font color=black>Conv.\%</font></td></tr>\n\n";

	########### data
	my $imp_total=0, $click_total=0, $uv_total=0;
	my $sales_total = 0.0;
	my $sales_num = 0;
	my $comm_total = 0.0;
	my $cl = "a";
	my $lastdte;
	my $clicks=0;
	my $sales_tot = 0.0;
	my $sales_com = 0.0;
	my $sales = 0;
	my $commission = 0.0;
	my $conversion = 0.0;
	my $date_done=0;

	# get rejected
	open REJSFILE, "<${ccpath}reports/sales_rejected.csv";
	while($line = <REJSFILE>) {
		($rejec_dte, $rejec_web, $rejec_banner, $rejec_order, $rejec_value, $rejec_type, $rejec_com, $rejec_name, $rejec_affcom) = split(/,/, $line);

		$rejected{$rejec_order} = $rejec_order;
	}
	close REJSFILE;

	open IMPRESSIONS, "<${ccpath}reports/clickclocker.csv";
	while($line = <IMPRESSIONS>) {

		($dte, $web, $banner, $imp) = split(/,/, $line);

		($day, $month, $year) =  split(/\//, $dte);

		next if $year<$startyear ||
		  ($year==$startyear && $months{$month}<$months{$startmonth}) ||
		  ($year==$startyear && $months{$month}==$months{$startmonth} && $day<$startday);

		last if $year>$endyear ||
		  ($year==$endyear && $months{$month}>$months{$endmonth}) ||
		  ($year==$endyear && $months{$month}==$months{$endmonth} && $day>$endday);

		# create report line on change of date
		if(!$lastdte) {$lastdte = $dte;}
		elsif($dte ne $lastdte) {

			$cl = ($cl eq "a") ? "b" : "a";
			
			my $conversion = "&nbsp;";
			if($sales > 0 && $clicks > 0) {
				$conversion =  sprintf "%.2f", (100 * $sales / $clicks);
			}

			$commission = sprintf "%.2f", $commission;
	
			$rep_line = "<tr class=\"$cl\"><td>$lastdte</td><td align=right>#</td>";
			$rep_line .= "<td align=right>$clicks</td><td align=right>#</td><td align=right>#</td>";
			$rep_line .= "<td align=right>$sales</td><td align=right>$commission</td><td align=right>$conversion</td></tr>\n";
			print $rep_line;
		
			$lastdte=$dte;
			$clicks=0;
			$sales_tot = 0.0;
			$sales = 0;
			$commission = 0.0;
			$conversion = 0.0;
			$date_done=0;

		} # if change of date

		if(!$date_done) {
			# get clicks
			open CLICKFILE, "<${ccpath}reports/clicks.csv";
			while($line = <CLICKFILE>) {
				my ($click_dte, $click_web, $click_banner, $hour, $ip) = split(/,/, $line);
				if ($click_dte eq $dte)
				{
					$clicks++;
					$click_total++;
				}
			}
			close CLICKFILE;

			# get sales
			my %orders; # prevents duplicates
			
			open SALESFILE, "<${ccpath}reports/sales.csv";
			while($line = <SALESFILE>) {
				
				($sales_dte, $sales_web, $sales_banner, $sales_order, $sales_value, $sales_type, $sales_bonus, $sales_name, $sales_com) = split(/,/, $line);
				
				next if $rejected{$sales_order};
				
				next if $orders{$sales_order}; # remove duplicates
				$orders{$sales_order} = $sales_order;

				next if $sales_dte ne $dte;
				
				$sales++;
				$sales_num++;
				$sales_tot += $sales_value;
				$sales_total += $sales_value;

				if($sales_type eq "C") {
					$commission += ($sales_value * ($sales_com + $sales_bonus)/100);
					$comm_total += ($sales_value * ($sales_com + $sales_bonus)/100);
				} else {
					$commission += $sales_com;
					$comm_total += $sales_com;
				}
			}
			close SALESFILE;

			$date_done=1;
		}
	
		$dte_imp += $imp;
		$imp_total += $imp;
			
	} # while impressions

	close IMPRESSIONS;

	$cl = ($cl eq "a") ? "b" : "a";
	
	my $conversion = "&nbsp;";

	if($sales > 0 && $clicks > 0) {
		$conversion =  sprintf "%.2f", (100 * $sales / $clicks);
	}
	$commission = sprintf "%.2f", $commission;
	
	$rep_line = "<tr class=\"$cl\"><td>$lastdte</td><td align=right>#</td>";
	$rep_line .= "<td align=right>$clicks</td><td align=right>#</td><td align=right>#</td>";
	$rep_line .= "<td align=right>$sales</td><td align=right>$commission</td><td align=right>$conversion</td></tr>\n";
	print $rep_line;

	
	############# totals
	my $conversion_total = "&nbsp;";
	
	if($sales_num > 0 && $click_total > 0) {
		$conversion_total = sprintf "%.2f", (100 * $sales_num / $click_total);
	}

	$comm_total = sprintf "%.2f", $comm_total;

	print "<tr class=c>";
	print "<td>Period Total</td>";
	print "<td align=right>#</td>";
	print "<td align=right>$click_total</td>";
	print "<td align=right>#</td>";
	print "<td align=right>#</td>";
	print "<td align=right>$sales_num</td>";
	print "<td align=right>$comm_total</td>";
	print "<td align=right>$conversion_total</td>";
	print "</tr>\n";
$ccproflink = "# - Sorry, only available in <b><a href=\"http://www.clickclocker.com/professional.htm\">ClickClocker Professional</a></b>";

} # end of rpt type 0

print <<"(END HTML2)";
</table>
$ccproflink
<br>
<SCRIPT LANGUAGE="JavaScript">
document.report.report_type.value = "$formdata{'report_type'}";
document.report.startday.value = "$startday";
document.report.startmonth.value = "$startmonth";
document.report.startyear.value = $startyear;
document.report.endday.value = "$endday";
document.report.endmonth.value = "$endmonth";
document.report.endyear.value = $endyear;

function validateYr(form) 
{
	if(form.startyear.value=="" || form.startyear.value < 2001)
	{
		alert("Please enter a start year in the format YYYY");
		form.startyear.select();
		form.startyear.focus();
		return false;
	}
	
	if(form.endyear.value=="")
	{
		alert("Please enter an end year");
		form.endyear.select();
		form.endyear.focus();
		return false;
	}
	else if(form.endyear.value < form.startyear.value)
	{
		alert("Please enter an end year greater than or equal to the start year");
		form.endyear.select();
		form.endyear.focus();
		return false;
	}
	return true;
}
</script>
(END HTML2)

&page_btm;
