#!/usr/bin/perl
use File::Basename; 
use lib dirname ($0);
use AffiliateLib;

################# read form
&read_form;

################# get merchant
%merchant = &get_merchant;
$merchantname = "$merchant{'mer_web'}";
$mer_url = "http://$merchant{'mer_web'}";

################# read affiliate record
my $message;

@result = &get_cook;
if($result[0] == 1) {
	%aff = %{$result[1]};
}

if($formdata{'aff_email'} =~ /@/) {

	if(! open FILEHANDLE, "<${ccpath}accepted/$formdata{'aff_email'}") {
		$message = "<br><br><font class=error>Incorrect Email Address - Please try again.</font><br><br>";
	}
	else {

		%aff = split(" ", <FILEHANDLE>);
		close FILEHANDLE;

		foreach $key (keys %aff) {
			$aff{$key} =~ tr/+/ /;
			$aff{$key} =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
		}
		if($formdata{'lostbtn'}) {

			################ send email to affiliate
			$aff_name = $aff{'aff_name'};
			$aff_name =~ tr/+/ /;

			&ccsendmail(
				$aff{'aff_email'},
				$merchant{'mer_email'},
				"$merchantname affiliate password", 
				"Dear $aff_name,\n\nYour password for the $merchantname affiliate program is '$aff{'aff_pwd'}'.\n\nThankyou.\n\nAffiliate Manager\n$merchantname\n");

			$message = "<br><br><font class=error>Password Sent - Please check your email.</font><br><br>";
		}
		elsif($formdata{'aff_pwd'} ne $aff{'aff_pwd'}) {
			$message = "<br><br><font class=error>Incorrect Password - Please check your password and try again, or enter your email address then click the 'Lost Password' button to have your password emailed to you.</font><br><br>";
			$lost_btn = "&nbsp;&nbsp;&nbsp;&nbsp;<input type=submit name=lostbtn value='Lost Password'>";
		}

		# display info to affiliate
		if(! $message) {

			my $enc_email = &url_encode(&mycrypt($formdata{'aff_email'}));
			my $url = "stats.${pft}?aff=$enc_email";

			&set_cook_and_go(\%aff, $url);

			exit;
		}
	}
}
# display info to affiliate

print <<"(END MESSAGE2)";
Content-type: text/html

<html>
<head>
<title>New Affiliate Application</title>
<LINK REL=stylesheet HREF="style.css" TYPE="text/css">
<SCRIPT LANGUAGE="JavaScript">
function validateCust(form) 
{
	if(form.aff_email.value=="" )
	{
		alert("Please enter your email address");
		form.aff_email.focus();
		return false;
	}
	else if(form.aff_email.value.indexOf("@")=="-1" ||
			form.aff_email.value.indexOf(".")=="-1" )
	{
		alert("Please enter a valid email address");
		form.aff_email.select();
		form.aff_email.focus();
		return false;
	}
	return true;
}
</script>

</head>
<body bgcolor="Silver">
<br>
<div align="center">
<table border=0 cellspacing=0 cellpadding=0>
<TR>
<TD bgcolor="silver" width="23"><IMG height=20 src="images/curve-tl.gif" width=23 border=0></TD>
<TD colspan="3" width="550"><IMG height=2 src="images/blank.gif" width=550 border=0></TD>
<TD bgcolor="silver" width="23"><IMG height=20 src="images/curve-tr.gif" width=23 border=0></TD>
</TR>
<tr><td width="23">&nbsp;</td>
<td valign="top" align="center" colspan="3">

<h3>Affiliate Signin</h3>
<form action="signin.${pft}" method="post" onSubmit="return validateCust(this)">
<table width="600" border="0" cellspacing="0" cellpadding="0" class="a">
<tr>
	<td class=a>&nbsp;</td>
	<td class=a valign="top" colspan="2">
		<b>$ENV{'SERVER_NAME'} - Affiliate Login</b>
		<br><br>$message 
	</td>
	<td class=a>&nbsp;</td>
</tr>
<tr>
	<td class=a>&nbsp;</td>
	<td class=a valign="top">Email</td>
	<td class=a valign="top"><input type="text" name="aff_email" value="$aff{aff_email}" size="40" maxlength="50"></input><br></td>
	<td class=a>&nbsp;</td>
</tr>
<tr>
	<td class=a>&nbsp;</td>
	<td class=a valign="top">Password</td>
	<td class=a valign="top"><input type="password" name="aff_pwd" size="10" maxlength="15"></input><br></td>
	<td class=a>&nbsp;</td>
</tr>
<tr><td class=a colspan="4">&nbsp;</td></tr>
<tr>
	<td class=a colspan="2">&nbsp;</td>
	<td class=a valign="top"><input type="submit" name="step2" value="Login">$lost_btn<br></td>
	<td class=a>&nbsp;</td>
</tr>
</table>
</form>
(END MESSAGE2)
&page_btm;